Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/mate-common: new aport

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Mon, 15 Dec 2014 14:42:44 +0000

---
 testing/mate-common/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/mate-common/APKBUILD
diff --git a/testing/mate-common/APKBUILD b/testing/mate-common/APKBUILD
new file mode 100644
index 0000000..f6895da
--- /dev/null
+++ b/testing/mate-common/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
+# Maintainer:
+pkgname=mate-common
+pkgver=1.9.0
+pkgrel=0
+pkgdesc="Common scripts and macros"
+url="http://mate-desktop.org/"
+arch="noarch"
+license="CC"
+depends=""
+depends_dev=""
+makedepends="autoconf automake gettext"
+install=""
+subpackages=""
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh  --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="bada705720debdb00f0b6b18e03ce5af  mate-common-1.9.0.tar.xz"
+sha256sums="75fc61199308757b2b4c4f9f55a4198eeda3acb07fb7397083b12a21764f5338  mate-common-1.9.0.tar.xz"
+sha512sums="8fe26770331650bdb1fd1eb96c5a1a320eaa9bcc9de22ec4e6dc4fd766365a6ed02f0de08399e191d6c5572ad4a3fc9d258fcc691262235540bcec75ff51b4df  mate-common-1.9.0.tar.xz"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Dec 15 2014 - 14:42:44 UTC